Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.topics.list({
projectId: 'PROJECT_ID'
});curl --request GET \
--url https://api.migma.ai/v1/topics \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/topics"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"success": true,
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"error": "<string>",
"count": 123
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}List Topics
List topics for a project. Requires API key with audience:read.
GET
/
v1
/
topics
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.topics.list({
projectId: 'PROJECT_ID'
});Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Query Parameters
Project ID
Include inactive topics
Was this page helpful?
⌘I